/*
 * TOAD -- A Simple and Powerful C++ GUI Toolkit for the X Window System
 * Copyright (C) 1996-99 by Mark-Andr Hopf
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,   
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public 
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, 
 * MA  02111-1307,  USA
 */

#ifndef TUndoableDelete
#define TUndoableDelete TUndoableDelete

#include <toad/gadget.hh>
#include <toad/gadgeteditor.hh>
#include <toad/gadgeteditor/undoable.hh>

class TUndoableDelete:
	public TUndoable
{
	public:
		TUndoableDelete(TGadgetEditor::TGadgetStorage&,
										const TGadgetEditor::TGadgetSet&);
		~TUndoableDelete();
		void undo();
		void redo();
		
		bool done;
		TGadgetEditor::TGadgetStorage& gadgets;
		struct TMemo {
			TMemo(TGadget *g, unsigned p) {
				gadget=g; pos=p;
			}
			TGadget *gadget;
			unsigned pos;
		};
		vector<TMemo> memo;
};

#endif
